[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: (ITS#6193) OpenLDAP 2.4.16 does not compile on Windows

emmanuel.duru@atosorigin.com wrote:
> Full_Name: Emmanuel Duru
> Version: 2.4.16
> OS: Windows
> URL: ftp://ftp.openldap.org/incoming/
> Submission from: (NULL) (
> OpenLDAP 2.4.16 does not compile on Windows.
> When compiling liblber and libldap, there are undefined references to winsock
> functions.
> The last version I used was OpenLDAP 2.4.13 and it worked fine.
> Comparing both versions, I see that there misses -lws2_32 in liblber and libldap
> makefiles in 2.4.16 release.

That's interesting. At least one other person (ITS#6174) disagrees with you. 
Seems there's something wrong with your build environment. Since other folks 
are building on Windows, I don't believe this is a bug in OpenLDAP.

   -- Howard Chu
   CTO, Symas Corp.           http://www.symas.com
   Director, Highland Sun     http://highlandsun.com/hyc/
   Chief Architect, OpenLDAP  http://www.openldap.org/project/